1

While i was trying to generate the Apex classes from wsdl using FuseIT SFDC Exlporer i am always getting this error.

Error: Apex Classes were not generated. Original Error:The Apex Class XclassnameX is not in the Apex class collection.

2
  • by any chance did you select the update existing apex class option. if so can you uncheck this option and try again. Jul 30, 2014 at 11:10
  • If it is this 3rd party tool WSDL Parser and Apex Generator (rather than the Salesforce tooling) then I suggest you get in touch with FuseIT perhaps though @DanielBallinger. At the moment I don't imagine a lot of people who answer on this site would have experience with this tool.
    – Keith C
    Jul 30, 2014 at 13:00

1 Answer 1

0

I feel uniquely qualified to answer this question :)

Firstly, check that you are using the latest release. As at the 1st of August 2014 that is 1.10.0.87. We are releasing fairly frequently at this stage as we test with more and more WSDLs and handle the variations therein.

Second, if that does not resolve the issue, are you able to share your WSDL? Either link to it here or email it to support @ fuseit.com with Wsdl2Apex in the emails subject line. You can replace any sensitive endpoints example.com if required. I will add it to our growing collection of sample WSDLs that form part of the automated test cases.

That error will be the code searching for an ApexClass that is expected to exist under another ApexClass that represents a schema namespace. You could check the corresponding type elements in the WSDL to verify it exists.

4
  • Thanks @Daniel. Actually that error is quite frequent.I can't use the FuseIT once logged in to generate parsed WSDL Apex classes for more than one WSDL.Solution: Everytime for each WSDL. Just close FuseIT software and again log in.Then it works fine.
    – EdocodE
    Jul 31, 2014 at 7:06
  • @EdocodE Interesting, so the error is occurring when you change to a different WSDL without restarting the app? Jul 31, 2014 at 8:18
  • Yes....@Daniel exactly !!! I think its some issue with the app not with the WSDLs....:)
    – EdocodE
    Jul 31, 2014 at 9:34
  • @EdocodE Can please tell me which version you are using? It should appear in the title bar. Jul 31, 2014 at 10:14

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .